1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Tomato 1.28 Heartbleed - how to fix

Discussion in 'Tomato Firmware' started by TomatoFan32, Apr 25, 2014.

  1. TomatoFan32

    TomatoFan32 Network Newbie Member


    First of all, excuse my questions, I am quite a novice at this.

    I own a Linksys WRT54GL router. I have installed Tomato 1.28 on it a while ago and was very pleased.
    This is the version http://www.polarcloud.com/tomato_128 .

    1. Does this mean that my router is vulnerable to the heartbleed bug?
    2. I read in here ( http://www.linksysinfo.org/index.php?threads/heartbleed-bug.69862/ ) about a fix but I did not understand how to implement it. Is there an expected update to patch this bug?

  2. shibby20

    shibby20 Network Guru Member

    1) no, it`s not. It`s too old openssl version inside. Only openssl 1.0.1 to 1.0.1f are vulnerable
    2) you can just upgrade tomato version to latest version with openssl 1.0.1g.
  3. TomatoFan32

    TomatoFan32 Network Newbie Member

    Hi Shibby,

    First of all, thank you for answering. I understand now that I am running quite an old version. Reading the wiki entry on Tomato, I see on that your mod supports a lot of features and was updated recently.

    1. I choose tomato because I needed the DHCP with Static ability. I don't think I need any of the other features and I'm quite content with my setup. Do you still recommend that I'll update to your mod or is it nice to have?
    2. Just to make sure I understand, Tomato 1.28 (at polarcloud) is the main release (but havn't been updated in a while) and all others are mods on that release that base on 1.28?
  4. shibby20

    shibby20 Network Guru Member

    1) i recommend you stay on this version. For older devices like WRT54G/GL/GS older version (with older wireless driver) works the best (specially wireless connection).
    2) indeed.

Share This Page